#!/bin/bash
set -e

# Clean repo
cd ./mozilla-unified
git reset --hard
git clean -fd

# Prepare assets
mkdir -p snowleopard
cp ../assets/mozconfig mozconfig
cp ../assets/{prefs.js,policies.json,moz.build,userChrome.css,userContent.css} snowleopard/

# Prepare patches
for patch in ../patches/*.patch; do
	echo "Applying $(basename "$patch")"
	git apply "$patch"
done

# Build the thing
./mach build
